# Liste de script bash pour automatiser la création de release.

## Extract

### Description

Ce script permet d'extraire des pistes d'un fichier mkv en utilisant MKVMerge. Il permet également de pouvoir encoder les pistes audios.
Il traite tous les fichiers .mkv du dossier dans lequel on lance le script.

### Pre-Requis

    - Installer MKVMerge `sudo apt install mkvmerge`
    - Installer ffmpeg `sudo apt install ffmpeg`
    - Rendre les scripts executable `chmod +x extract.sh`

### Utilisation

    - ./extract.sh Nom_Du_Fichier.mkv

    Répondre aux questions.

## Encodage

### Description

Ce script permet d'encoder des audios d'un dossier en utilisant ffmpeg.

### Pre-Requis

    - Installer ffmpeg `sudo apt install ffmpeg`
    - Rendre les scripts executable `chmod +x encodage.sh`

### Utilisation

    - ./encodage.sh Nom_Du_Fichier

    Répondre aux questions.


## Propedit

### Description

Ce script permet de modifier les propriétés des releases du dossier en utilisant MKVPropedit. Il renomme les fichiers en utilisant Filebot.
Filebot est paramétré pour renommer les fichiers en utilisant la DB TheTVDB et la langue FR.

### Pre-Requis

    - Installer MKVMerge `sudo apt install mkvmerge`
    - Installer Filebot `sudo apt install filebot`
    - Installer Mediainfo `sudo apt install mediainfo`
    - Rendre les scripts executable `chmod +x encodage.sh`

### Utilisation

    - ./propedit.sh Nom_Du_Fichier

    Répondre aux questions.

### Informations Importantes

    Le script est configuré pour respecter la template de notre Team ( KFL ). De plus vous devez mergé les fichiers à la main en respectant la template plus bas, sinon le script ne fonctionnera pas comme vous le voudrez.

    Les noms des pistes et l'ordre sont => 

        - VFF AC3 5.1
        - VO AC3 5.1
        - VFF Forced
        - VFF Full
        - VO Full


## Torrent

### Description

Ce script permet de créer un fichier torrent et un fichier NFO pour les releases.

### Pre-Requis

    - Installer mediainfo `sudo apt install mediainfo`
    - Installer transmission-cli `sudo apt install transmission-cli`
    - Rendre les scripts executable `chmod +x torrent.sh`

    Mettre le script dans le dossier racine de votre dossier de releases avec les fichiers KFL_template.txt et Info-Parameteres.txt .

### Utilisation

#### Usage: 
torrent [ -A | --source-Audio ] [ -V | --source-Video ] [ -S | --source-Sub ]
                        [ -t | --torrent ] [ -s | --serie ] [ -e | --team-encode ]
                        [ -h | --help ]"

----------------------------------------------------------------
#### Option disponible : 

-t = Pour créer un torrent en même temps que le NFO
-e = Pour préciser que la release a été encodé par vous
-A = Source des Audio
-V = Source Video
-S = Source des Sous-Titres
-s = A utiliser si votre release est une série !

Important : Pour une série, un seul .torrent et un seul NFO sera crée pour le dossier.
 
----------------------------------------------------------------

#### Utilisation :

Pour faire le .torrent et le NFO d'un film :

./torrent.sh -t -e -A Ma.Release.Audio -V Ma.Release.Video -S Ma.Release.Sous_Titres /chemin/absolu/vers/la/release

Pour faire le .torrent et le NFO d'une série : 

./torrent.sh -t -e -A Ma.Source.Audio -V Ma.Source.Video -S Ma.Source.Sous_Titres -s /chemin/absolu/vers/le/dossier/de/la/release


ATTENTION, Ligne 132 du fichier torrent.sh est importante, il faut que vous remplacez "VOTRE_PASSKEY" par votre passkey.


## Créé avec Amour par Lantium ! 

Vous pouvez me contacter sur Discord : lantium#9402
